List collections
curl --request GET \
--url https://api.thred.dev/v1/collect \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thred.dev/v1/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thred.dev/v1/collect"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "call_123e4567-e89b-42d3-a456-426614174000",
"environment": "development",
"status": "queued",
"handling": "ai",
"to": "+14155550123",
"from": "+12025550124",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"human_assisted": true,
"outcome": "<string>",
"data": {},
"partial_data": {},
"missing_fields": [
"<string>"
],
"error": {
"code": "<string>",
"message": "<string>"
},
"duration_seconds": 123,
"usage": {
"elapsed_job_seconds": 123,
"billed_seconds": null,
"billing_status": "unreconciled"
},
"recording_status": "disabled",
"recording": {
"status": "disabled",
"duration_seconds": 123,
"audio_started_at": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"cancellation_requested": true,
"screener_sequence": [
{
"message": "<string>",
"type": "intro"
}
],
"screener_sequence_source": "provided",
"navigation_cache_source_call_id": "<string>",
"request": {
"to": "+14155550123",
"instructions": "<string>",
"input": {
"date": "today"
},
"output": {
"properties": {
"is_open": {
"type": "boolean"
},
"closes_at": {
"type": "string"
}
},
"required": [
"is_open",
"closes_at"
],
"additionalProperties": false
},
"max_duration_seconds": 300,
"metadata": {},
"record": false,
"caller_number_id": "<string>",
"webhook_id": "<string>",
"navigation": {
"contact_name": "<string>",
"department": "<string>",
"extension": "<string>",
"language": "en"
},
"screener_sequence": [
{
"message": "<string>",
"type": "intro"
}
]
}
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Collect API
List collections
List collections in your workspace and API environment, newest first. Pass next_cursor as cursor to get the next page.
GET
/
v1
/
collect
List collections
curl --request GET \
--url https://api.thred.dev/v1/collect \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thred.dev/v1/collect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thred.dev/v1/collect"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "call_123e4567-e89b-42d3-a456-426614174000",
"environment": "development",
"status": "queued",
"handling": "ai",
"to": "+14155550123",
"from": "+12025550124",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"human_assisted": true,
"outcome": "<string>",
"data": {},
"partial_data": {},
"missing_fields": [
"<string>"
],
"error": {
"code": "<string>",
"message": "<string>"
},
"duration_seconds": 123,
"usage": {
"elapsed_job_seconds": 123,
"billed_seconds": null,
"billing_status": "unreconciled"
},
"recording_status": "disabled",
"recording": {
"status": "disabled",
"duration_seconds": 123,
"audio_started_at": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"cancellation_requested": true,
"screener_sequence": [
{
"message": "<string>",
"type": "intro"
}
],
"screener_sequence_source": "provided",
"navigation_cache_source_call_id": "<string>",
"request": {
"to": "+14155550123",
"instructions": "<string>",
"input": {
"date": "today"
},
"output": {
"properties": {
"is_open": {
"type": "boolean"
},
"closes_at": {
"type": "string"
}
},
"required": [
"is_open",
"closes_at"
],
"additionalProperties": false
},
"max_duration_seconds": 300,
"metadata": {},
"record": false,
"caller_number_id": "<string>",
"webhook_id": "<string>",
"navigation": {
"contact_name": "<string>",
"department": "<string>",
"extension": "<string>",
"language": "en"
},
"screener_sequence": [
{
"message": "<string>",
"type": "intro"
}
]
}
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Send Authorization: Bearer <THRED_API_KEY>. Development keys begin thr_dev_; Production keys begin thr_prod_. Each key is scoped to a workspace and environment. Keep secrets on your server.
Query Parameters
Maximum collections to return.
Required range:
1 <= x <= 100Opaque next_cursor from a previous response. Omit for the first page.

